export function downloadMedia(id: any): Promise<import("axios").AxiosResponse<any, any>>;
export default MediaAPI;
declare namespace MediaAPI {
    export { getMediaList as getList };
    export { getMedia as get };
    export { addMedia as add };
    export { deleteMedia as delete };
    export { getMediaLookup as getLookup };
}
declare function getMediaList(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getMedia({ itemId }: {
    itemId: any;
}): Promise<import("axios").AxiosResponse<any, any>>;
declare function addMedia(params: any): Promise<import("axios").AxiosResponse<any, any>>;
declare function deleteMedia({ id }: {
    id: any;
}): Promise<any>;
declare function getMediaLookup(params: any): Promise<{
    items: any;
    next: any;
}>;
